Bug 485152 - Kashmiri (Arabic-persian) language keyboard layout on fedora 10
Kashmiri (Arabic-persian) language keyboard layout on fedora 10
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: m17n-db (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
: i18n, MoveUpstream, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 16:45 EST by mohammad.nayeem
Modified: 2009-08-18 17:13 EDT (History)
7 users (show)

See Also:
Fixed In Version: 1.1.10-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-18 17:13:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 1 None None None Never

  None (edit)
Description mohammad.nayeem 2009-02-11 16:45:46 EST
Description of problem:

The kashmiri keyboard layout is missing 
Version-Release number of selected component (if applicable):


How reproducible:
Easily

Steps to Reproduce:
1.add keyboard indicator on the panel and try to add kashmiri language keyboard layout
2.
3.
  
Actual results:
kashmiri language keyboard does not exist

Expected results:

(persian-arabic) kashmiri language keyboard layout
Additional info:
The kashmiri language (persian-arabic script) fonts are installed on fedora 10 but the keyboard layout is not there. I could also be helpful to provide the layout. If I am assisted with some information I could develop it. I am a computer science student.
Comment 1 A S Alam 2009-02-12 04:29:33 EST
are you searching for xkb layout? 
If you would like to help to create Kashmiri layout of m17n library that
will be more helpful as Fedora is using ibus default for input.
you can get more help with following wiki (mailing list etc)
https://fedoraproject.org/wiki/I18N
Comment 2 mohammad.nayeem 2009-02-12 13:46:11 EST
Thanks for your response.
Yes I am looking for xkb layout so that I could switch between english and kashmiri.

Where can I find information about m17n library. The link talks about I18N project. Plus the teh following mailing list link gives me an error 

https://listman.redhat.com/mailman/listinfo/fedora-i18n-list

I get the following error:

Secure Connection Failed    

listman.redhat.com uses an invalid security certificate.

The certificate is only valid for www.redhat.com

(Error code: ssl_error_bad_cert_domain)



Also, can you direct me to some of the existing keyboard layout files for e.g arabic. I want to take a look at those.

Thanks again for your help.

-Nayeem
Comment 3 A S Alam 2009-02-19 23:27:44 EST
Following web page can provide information.
http://www.m17n.org/m17n-lib-en/index.html

As mention on page, Arabic support is there.

m17n-db-arabic.noarch  package available in Fedora.

you can get text file (mim): /usr/share/m17n/ar-kbd.mim

(gedit/kate etc can be used to  edit this).

For mailing list Page Error, Please use this:
http://support.mozilla.com/pa-IN/kb/Secure+connection+failed
Comment 4 mohammad.nayeem 2009-02-20 15:49:36 EST


(In reply to comment #3)
> Following web page can provide information.
> http://www.m17n.org/m17n-lib-en/index.html
> 
> As mention on page, Arabic support is there.
> 
> m17n-db-arabic.noarch  package available in Fedora.
> 
> you can get text file (mim): /usr/share/m17n/ar-kbd.mim
> 
> (gedit/kate etc can be used to  edit this).
> 
> For mailing list Page Error, Please use this:
> http://support.mozilla.com/pa-IN/kb/Secure+connection+failed

Hi,
Thanks. Although the kashmiri language is absed on arabic script, we have certain letters and vowels that don't exist in arabic language. Kashmir language keyboard layout would basically be an extension of arabic layout. The problem with using arabic keyboard is that words when read won't sound the way they are supposed to without the additional vowels and letters.
Comment 5 mohammad.nayeem 2009-02-20 15:54:13 EST
Also, if I create the kashmiri layout by extending the arabic /usr/share/m17n/ar-kbd.mim file, what do I need to do to get it included into the fedora distribution.
Including this layout would go a long way in helping kashmiri people to use fedora.

Thankyou for all your help.

-Nayeem
Comment 6 A S Alam 2009-02-22 23:19:20 EST
 Parag Will help more on this (to add m17n keymap).
Comment 7 Parag Nemade 2009-02-23 06:01:39 EST
Hi Nayeem,
    Fedora distribution follows what upstream provides. So to include any new keymap 
1) just look at existing keymaps in /usr/share/m17n/. 
2) Create your keymap with correct liecense text included at top of mim file. 
3) Then submit this new mim file for its review by upstream on m17n-lib-2009@m17n.org. Where upstream will review it and suggest some changes in needed otherwise will commit into upstream m17n project.
4) Once your keymap is included in upstream cvs we can use that and build new fedora release.

Get more information on upstream project at http://www.m17n.org/m17n-lib-en/
Comment 8 mohammad.nayeem 2009-02-23 12:20:47 EST
(In reply to comment #7)
> Hi Nayeem,
>     Fedora distribution follows what upstream provides. So to include any new
> keymap 
> 1) just look at existing keymaps in /usr/share/m17n/. 
> 2) Create your keymap with correct liecense text included at top of mim file. 
> 3) Then submit this new mim file for its review by upstream on
> m17n-lib-2009@m17n.org. Where upstream will review it and suggest some changes
> in needed otherwise will commit into upstream m17n project.
> 4) Once your keymap is included in upstream cvs we can use that and build new
> fedora release.
> 
> Get more information on upstream project at http://www.m17n.org/m17n-lib-en/



Thank you very much.

I appreciate your help.
Comment 9 mohammad.nayeem 2009-03-02 17:07:52 EST
Hi,

I have sent an mim file for kashmiri keyboard layout to m17n-lib-2009@m17n.org.

Thanks
Comment 10 Matěj Cepl 2009-03-21 06:02:45 EDT
We believe that it is more appropriate to let this bug be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.
Comment 11 mohammad.nayeem 2009-03-22 00:31:22 EDT
thanks for the response.
I am slightly confused. Is there any problem with the file that I sent?
Comment 12 mohammad.nayeem 2009-03-22 00:33:22 EDT
I would be more than happy to work more on it and fix it.
Comment 13 A S Alam 2009-03-22 07:53:44 EDT
Hi, Nayeem, Can you please ask about your file on m17n-lib-* mailing list. 
Those people will able to answer you.
Thanks
Comment 14 Parag Nemade 2009-03-23 04:49:03 EDT
I can't find keymap mail sent to m17n-lib-2009@m17n.org.
Comment 15 mohammad.nayeem 2009-03-23 12:46:36 EDT
(In reply to comment #14)
> I can't find keymap mail sent to m17n-lib-2009@m17n.org.  

Hi Parag,

I have mailed the keymap file again to m17n-lib-2009@m17n.org
Let me know if you got it.

Thanks

-Nayeem
Comment 16 mohammad.nayeem 2009-03-26 13:59:02 EDT
Hi,
I haven't received any acknowledgement about the receipt of the keymap file that I sent on 3/23 to  m17n-lib-2009@m17n.org.
I sent an email to that mailing list too but haven't heard about the receipt of the file. Could someone let me know please.

I appreciate it.
-Nayeem
Comment 17 Pravin Satpute 2009-03-30 04:50:08 EDT
Hi Nayeem,

locale file for kashmiri arabic is also not available in glibc,
if someone ready to provide kashmiri (arabic) language related information, i will be happy to write one

we have kashmiri(devanagri) locale file in glibc already.
sent me mail, we can file new bug for that and communicate on that.
Comment 18 mohammad.nayeem 2009-03-30 12:51:00 EDT
(In reply to comment #17)
> Hi Nayeem,
> 
> locale file for kashmiri arabic is also not available in glibc,
> if someone ready to provide kashmiri (arabic) language related information, i
> will be happy to write one
> 
> we have kashmiri(devanagri) locale file in glibc already.
> sent me mail, we can file new bug for that and communicate on that.  

Hi Pravin,

If I understand it correctly you mean that before we can use the keyboard layout there should be locale file of Kashmiri(arabic) in glibc.
Is it also correct that you are willing to write the locale file for kashmiri(arabic script) for glibc, if I provide you the alphabet?

If that is correct please let me know where to send the alphabet files. I will be more than willing to send it across and extend any other help that you might need.

Thank you very much for your help.

-Nayeem
Comment 19 Parag Nemade 2009-03-31 01:04:03 EDT
I don't see this is reported in upstream.
Comment 20 Parag Nemade 2009-03-31 01:07:15 EDT
Nayeem,
  Can you attach keymap here? Also, try to send this keymap file to email ID handa@m17n.org? Kenichi Handa will help you to review this keymap file and will then add it to upstream cvs.
Comment 21 Pravin Satpute 2009-03-31 01:34:31 EDT
(In reply to comment #18)
> (In reply to comment #17)
> > Hi Nayeem,
> > 
> > locale file for kashmiri arabic is also not available in glibc,
> > if someone ready to provide kashmiri (arabic) language related information, i
> > will be happy to write one
> > 
> > we have kashmiri(devanagri) locale file in glibc already.
> > sent me mail, we can file new bug for that and communicate on that.  
> 
> Hi Pravin,
> 
> If I understand it correctly you mean that before we can use the keyboard
> layout there should be locale file of Kashmiri(arabic) in glibc.

no, nothing like this.
but locale file is very important for any language, one cant login in his
locale without locale file
locale file contains information about time, numeric, monetary, message for
particular language 
check /usr/share/i18n/locale for other language locales

> Is it also correct that you are willing to write the locale file for
> kashmiri(arabic script) for glibc, if I provide you the alphabet?

yeah, i will require kashmiri locale information like, what we call monday in
kashmiri,time's AM-PM, yes, no expressions etc.

I done recently for kashmiri Devanagari script

> If that is correct please let me know where to send the alphabet files. I will
> be more than willing to send it across and extend any other help that you might
> need.
> 
> Thank you very much for your help.

I have filed bug for https://bugzilla.redhat.com/show_bug.cgi?id=492992
We will communicate more on that

You are Welcome!!
Comment 22 mohammad.nayeem 2009-03-31 01:46:03 EDT
(In reply to comment #21)
> (In reply to comment #18)
> > (In reply to comment #17)
> > > Hi Nayeem,
> > > 
> > > locale file for kashmiri arabic is also not available in glibc,
> > > if someone ready to provide kashmiri (arabic) language related information, i
> > > will be happy to write one
> > > 
> > > we have kashmiri(devanagri) locale file in glibc already.
> > > sent me mail, we can file new bug for that and communicate on that.  
> > 
> > Hi Pravin,
> > 
> > If I understand it correctly you mean that before we can use the keyboard
> > layout there should be locale file of Kashmiri(arabic) in glibc.
> 
> no, nothing like this.
> but locale file is very important for any language, one cant login in his
> locale without locale file
> locale file contains information about time, numeric, monetary, message for
> particular language 
> check /usr/share/i18n/locale for other language locales
> 
> > Is it also correct that you are willing to write the locale file for
> > kashmiri(arabic script) for glibc, if I provide you the alphabet?
> 
> yeah, i will require kashmiri locale information like, what we call monday in
> kashmiri,time's AM-PM, yes, no expressions etc.
> 
> I done recently for kashmiri Devanagari script
> 
> > If that is correct please let me know where to send the alphabet files. I will
> > be more than willing to send it across and extend any other help that you might
> > need.
> > 
> > Thank you very much for your help.
> 
> I have filed bug for https://bugzilla.redhat.com/show_bug.cgi?id=492992
> We will communicate more on that
> 
> You are Welcome!!  




Hi,

I have sent the keymap  file  to bugzilla@redhat.com and also cc'd handa@m17n.org.

I can provide you all the information about the locale.
Let me know what all information you would require, I would be honored to help out. In the mean time I will look at the locale files 
In the mean time I will look at the locale files under /usr/share/i18n/locale and compile the information based on that.

Thanks again

-Nayeem
Comment 23 Parag Nemade 2009-05-06 02:14:35 EDT
Did you get any reply from upstream for adding this new keymap?
Comment 24 mohammad.nayeem 2009-05-06 02:21:24 EDT
Yes. I submitted the keymap file and helped Pravin Satpute to put up the locale file as well. It has been added to the cvs repository

http://cvs.m17n.org/viewcvs/m17n/m17n-contrib/im/#dirlist

as ks-kbd.mim

Thanks for checking
Comment 25 Parag Nemade 2009-08-04 05:30:13 EDT
Hi,
  Do we need to have this file released for F10? We already have this keymap in F-11
Comment 26 mohammad.nayeem 2009-08-04 13:35:18 EDT
Hi,

Yes please. I thought that was the plan.

Thanks

-Nayeem
Comment 27 Fedora Update System 2009-08-18 17:13:15 EDT
m17n-contrib-1.1.10-2.fc10, m17n-db-1.5.5-1.fc10, m17n-lib-1.5.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.